#ifndef QP_OPTIONS_H
#define QP_OPTIONS_H

// IMPORTANT: "qt_options.h" is generated by the ./configure script,
// from "qt_options.h.in". Don't modify qp_options.h. All changes have
// to be done in "qp_options.h.in"

#include "config.h"

// General options
#define PACKAGE                              "qtparted"
#define PROG_NAME                            "qtparted"
#define VERSION                              "0.4.1-cvs"
#define HOMEPAGE                             "http://qtparted.sourceforge.net/"

// File systems options
#define FILESYS_REISERFS_SUPPORT             1
#define FILESYS_EXT3_SUPPORT                 1
#define FILESYS_NTFS_SUPPORT                 1
#define FILESYS_JFS_SUPPORT                  1
#define FILESYS_XFS_SUPPORT                  1

// True if QtParted supports volume names labels (needs parted >= 1.6.7)
#define LABELS_SUPPORT                       @labels_support@

// Paths for the current program
#define DATADIR                              "/usr/share/qtparted"

// Paths for the FsTools programs
#define MKNTFS                               "mkntfs"
#define MKNTFS_PATH                          "/usr/sbin/mkntfs"
#define NTFSRESIZE                           "ntfsresize"
#define NTFSRESIZE_PATH                      "/usr/sbin/ntfsresize"
#define MKFS_EXT3                            "mkfs.ext3"
#define MKFS_EXT3_PATH                       "/sbin/mkfs.ext3"
#define MKFS_JFS                             "mkfs.jfs"
#define MKFS_JFS_PATH                        "/sbin/mkfs.jfs"
#define MKFS_XFS                             "mkfs.xfs"
#define MKFS_XFS_PATH                        "/sbin/mkfs.xfs"
#define MOUNT                                "mount"
#define MOUNT_PATH                           "/bin/mount"
#define UMOUNT                               "umount"
#define UMOUNT_PATH                          "/bin/umount"
#define XFS_GROWFS                           "xfs_growfs"
#define XFS_GROWFS_PATH                      "/usr/sbin/xfs_growfs"

#endif // QP_OPTIONS_H
